分享一下我的使用vs2010的经验。无须新安装vc2010即可使用

bastetwang 发布于 2011/04/23 22:41
阅读 3K+
收藏 1

我一般是用vc开发。

vc2010的安装和升级大家都知道,安装来安装去。

其实你要只用vc的话无须如此麻烦,

你如果原来用的是vc2003,只需要在vc2003的选项配置中的路径改成vc2010的(不用安装,直接找个安装好的把vc目录和mspdb之类的dll拷贝过来就行了),

主要有三个目录:

1、可执行文件目录,增加到最开始,把vc2010/vc/bin加进去。

2、头文件目录,增加vc2010/vc/include,vc2010/vc/atlmfc/include进去。

3、库文件目录:增加vc2010/vc/lib,vc2010/vc/atlmfc/lib进去。

 

然后你再次启动vc2003,随便搞个项目,你就会发现你已经用上了vc2010的编译器,头文件,库了,(也支持mfc)

此方法对vc6也有效,但vc6无法进行调试,vc2003及以上版本可以正常调试。

我用的是vc2005的ide,因为vc2005的安装只需要net2.0即可(其实不装也没事,只是一个项目属性无法修改和查看)。

vc2005的调试查看功能比vc2003要强。

 

加载中
0
bastetwang
bastetwang

此方法同样可以用于:

vc2003的ide,配vc2008的编译器。

vc2008的ide配vc2010的编译器。

主要关键点在于vc的ide和编译器是分开的。注意点就是mspdb要手工copy,要不然调试可能会失败。

0
bastetwang
bastetwang

其实不装netframework的话从vc2003到vc2008都是可以用的,只不过就是上面说的,项目属性显示不出来,

vc2003一定要装net1.1,其他的版本只需要装net2.0,没错,vc2008也只要装net2.0就可以正常运行了。

不推荐用express版,因为不支持va,svn等常用插件。虽然express版本可以适当的hack能支持资源编辑,项目创建,mfc支持。

0
mallon
mallon

Code::Blocks通吃

0
bastetwang
bastetwang

codeblocks我只用在gcc上,日常感觉还是vs+va+debug+svn插件比较方便。

返回顶部
顶部